Name:           pmount
Version:        0.9.17
Release:        4%{?dist}
Summary:        Enable normal user mount

Group:          System Environment/Base
# realpath.c is GPLv2+. Others are GPL+;
License:        GPLv2+
URL:            http://pmount.alioth.debian.org/
Source0:        http://alioth.debian.org/frs/download.php/2247/pmount-%{version}.tar.gz
# don't set the setuid bits during make install
Patch0:         pmount-0.9.17-nosetuid.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  intltool gettext pkgconfig
BuildRequires:  libsysfs-devel hal-devel e2fsprogs-devel
# ntfs-3g may be used too, it is considered optional, will be used if installed.
Requires:       cryptsetup-luks /bin/mount

%description
pmount  ("policy mount") is a wrapper around the standard mount program
which permits normal users to mount removable devices without a  
matching /etc/fstab entry.

Be warned that pmount is installed setuid root.

%prep
%setup -q
%patch0 -p1 -b .nosetuid

%build
# mount, umount, cryptsetup and ntfs-3g paths are right and don't use rpm 
# macros, so the corresponding configure options are not used. /media/ is
# also rightly used.
%configure \
  --with-lock-dir=%{_localstatedir}/lock/pmount \
  --with-whitelist=%{_sysconfdir}/pmount.allow

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README.devel TODO COPYING ChangeLog
%config(noreplace) %{_sysconfdir}/pmount.allow
%attr(4755,root,root) %{_bindir}/pmount
%attr(4755,root,root) %{_bindir}/pumount
%{_bindir}/pmount-hal
%{_mandir}/man1/p*mount*.1*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 25 2008 Patrice Dumas <pertusus@free.fr> 0.9.17-3
- rediff nosetuid patch

* Sat Mar  1 2008 Patrice Dumas <pertusus@free.fr> 0.9.17-2
- update to 0.9.17
- remove pmount-0.9.13-keeppublic.patch now that dbus connection is private

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.13-2
- Autorebuild for GCC 4.3

* Sun Sep 24 2006 Patrice Dumas <pertusus@free.fr> 0.9.13-1
- initial packaging
